Subject: RE: IPv6 Address Architecture update question

From: "Manfredi, Albert E" <[email-masked]>
Date: Mon, 31 Jan 2005 13:42:21 -0500

I don't know much serious migration to IPv6 has started yet, but I did think this embedding IPv4 addresses inside IPv6 addresses could be a useful technique, possibly. Don't know if it will end up being useful, with 20/20 hindsight. At first blush, it seems to be a way of avoiding static configuration when creating tunnels.

Is there anything in particular, other than "complexity," that motivated the motion to dismiss?

Thanks.

Bert

> -----Original Message-----
> From: Bob Hinden [mailto:[email-masked]]
> Sent: Monday, January 31, 2005 7:49 AM
> To: IPv6 WG
> Subject: IPv6 Address Architecture update question
> 
> 
> Hi,
> 
> I am working on an update to the IPv6 address architecture.  
> In doing this 
> I am working through the comments on the previous draft.  One 
> comment made 
> was to remove Section 2.5.5 "IPv6 Addresses with Embedded 
> IPv4 Addresses" 
> from the document.  This would include removing the special 
> case in the 
> textual representation (section 2.2, 3.).
> 
> I would like to solicit the working group's thoughts on this. 
>  I don't have 
> a strong opinion one way or another.  It's not clear it has 
> ever been that 
> useful and add a certain degree of complexity.  On the other hand, it 
> appears in  several places in the document and requires some careful 
> editing :-)
> 
> Since I expect this is widely implemented, please be sure to 
> report any 
> problem that might occur if this is to be removed from the 
> specification.  This includes would it break other documents 
> that refer to 
> the IPv6 address architecture specification.
> 
> The plan is to submit the updated draft for Draft Standard.  
> In general 
> removing things that are not found to be useful is OK when 
> going to Draft 
> standard.
> 
> Thanks,
> Bob

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "sasson, shuki" <[email-masked]>
Date: Mon, 31 Jan 2005 15:20:29 -0500

Hi, as mentioned before applications do use binding to any IPv6 address to
listen any iPv4 address. I have seen it in Linux Fedora Core 3. This helps
with porting applications. I don't know why people are calling it "broken".
It is all about semantics and definitions. I believe that dropping this
section will create confusion and chaos for the already ported applications.
It will be much wiser leaving things as they are and allowing the
application to bind to only one socket for both IPv4 and IPv6 if they wish.

Thanks,
Shuki  I 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Bob
Hinden
Sent: Monday, January 31, 2005 7:49 AM
To: IPv6 WG
Subject: IPv6 Address Architecture update question

Hi,

I am working on an update to the IPv6 address architecture.  In doing this 
I am working through the comments on the previous draft.  One comment made 
was to remove Section 2.5.5 "IPv6 Addresses with Embedded IPv4 Addresses" 
from the document.  This would include removing the special case in the 
textual representation (section 2.2, 3.).

I would like to solicit the working group's thoughts on this.  I don't have 
a strong opinion one way or another.  It's not clear it has ever been that 
useful and add a certain degree of complexity.  On the other hand, it 
appears in  several places in the document and requires some careful 
editing :-)

Since I expect this is widely implemented, please be sure to report any 
problem that might occur if this is to be removed from the 
specification.  This includes would it break other documents that refer to 
the IPv6 address architecture specification.

The plan is to submit the updated draft for Draft Standard.  In general 
removing things that are not found to be useful is OK when going to Draft 
standard.

Thanks,
Bob